MacDraft5ParserInternal Namespace Reference

Internal: the structures of a MacDraft5Parser. More...

## Classes

struct | Shape
| generic class used to store shape in MWAWDraftParser More...
struct | Layout
| Internal and low level: a class used to store layout definition of a MacDraf5Parser. More...
struct | Image
| Internal and low level: a image of a library used in MacDraf5Parser. More...
struct | State
| Internal: the state of a MacDraft5Parser. More...
class | SubDocument
| Internal: the subdocument of a MacDraft5Parser. More...

## Variables

constexpr int | MAX_RECORD_NESTING = 1 << 10
| the maximum recursion depth when sending nested groups

## Detailed Description

Internal: the structures of a MacDraft5Parser.

## Variable Documentation

## MAX_RECORD_NESTING

int MacDraft5ParserInternal::MAX_RECORD_NESTING = 1 << 10

constexpr

the maximum recursion depth when sending nested groups

Referenced by MacDraft5Parser::send().